> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Companies

> Manage companies and organizations in Manglai

## Description

**Companies** are the main operational unit. Each company manages its buildings, vehicles, consumptions and emissions.

## Endpoints

| Method | Path                                         | Description         |
| ------ | -------------------------------------------- | ------------------- |
| GET    | `/api/v1/companies`                          | List companies      |
| GET    | `/api/v1/companies/{id}/buildings`           | Company buildings   |
| GET    | `/api/v1/companies/{id}/departments`         | Departments         |
| GET    | `/api/v1/companies/{id}/organization-limits` | Organization limits |
| GET    | `/api/v1/companies/{id}/year-configuration`  | Year configuration  |

## Example: List companies

```bash theme={null}
curl -X GET "https://www.manglai.io/api/v1/companies?page=1&limit=10" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

## Common Parameters

* `page` (optional): Page number
* `limit` (optional): Items per page (max 1000)
* `companyIds` (optional): Filter by company IDs
